#
# spec file for package perl-Tenjin
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Tenjin
%define cpan_name Tenjin
Summary:        Fast templating engine with support for embedded Perl
Version:        0.070001 
Release:        4.1
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tenjin/
#Source:         http://www.cpan.org/authors/id/I/ID/IDOPEREL/Tenjin-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
Patch0:         test-more-no-plan.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl >= 5.006
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Carp)
Requires:       perl(Fcntl)
Requires:       perl(HTML::Entities)
Requires:       perl >= 5.006

%description
Tenjin is a very fast and full-featured templating engine, implemented in
several programming languages, among them Perl.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README

%changelog
* Wed May 11 2011 dbahi@novell.com
- 0.070001  2011-03-29 21:38:04 Asia/Jerusalem
- Added version numbers to all modules (not just Tenjin.pm) as the CPAN
  indexer failed.
- 0.070     2011-03-29 21:31:14 Asia/Jerusalem
- Tenjin now properly decodes template input and encodes template output
  according to the user's selected encoding
- Default encoding now spelled UTF-8 instead of utf8
- Added t/encoding.t to test template encoding
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep 22 2010 dbahi@novell.com
- patch the tests to do Test::More qw(no_plan)
* Tue Sep 21 2010 dbahi@novell.com
- put back the perl version dependency but removed
  the '(perl)' from perl(perl) >= 5.006
  as it causes an osc build failure
* Mon Sep 20 2010 dbahi@novell.com
- initial package 0.062
  * created by cpanspec 1.78
